## smart-open 7.0.4

=== integration-tests/requirements.txt ===
pytest
pytest_benchmark
awscli

## smart-open 1.11.1

=== debian/changelog ===
smart-open (1.11.1-3) unstable; urgency=medium

  * Vcs-Git link correction
  * Vcs-Browser link correction
  * Exclude gcs register from transport.py

 -- Sao I Kuan <saoikuan@gmail.com>  Sun, 05 Jul 2020 17:28:18 +0900

smart-open (1.11.1-2) unstable; urgency=medium

  * Team upload.
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sat, 18 Apr 2020 08:15:23 +0200

smart-open (1.11.1-1) unstable; urgency=medium

  * Initial release (Closes: #956455)

 -- Sao I Kuan <saoikuan@gmail.com>  Fri, 10 Apr 2020 11:25:19 +0000

=== debian/control ===
Source: smart-open
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Sao I Kuan <saoikuan@gmail.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-boto,
               python3-boto3,
               python3-requests,
               python3-setuptools,
# needed by tests
               python3-mock,
               python3-paramiko,
               python3-pytest,
               python3-responses,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/smart-open
Vcs-Git: https://salsa.debian.org/med-team/smart-open.git
Homepage: https://github.com/piskvorky/smart_open
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-smart-open
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
Recommends: ${python3:Recommends}
Suggests: ${python3:Suggests}
Description: utils for streaming large files
 smart-open is a library for efficient streaming of very large files
 from/to storages such as HDFS, WebHDFS, HTTP, HTTPS, SFTP, or local
 filesystem. It supports transparent, on-the-fly (de-)compression for a
 variety of different formats (gzip, bz2, etc.).
 .
 This package excludes the support of S3 and GCS.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=smart-open

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-nose, python3-mock, python3-responses
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://pypi.python.org/simple/smart-open .*/smart_open-@ANY_VERSION@@ARCHIVE_EXT@#sha256=.*

## smart-open 5.2.1

=== debian/changelog ===
smart-open (5.2.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 16 Nov 2022 10:45:24 +0000

smart-open (5.2.1-4) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Python Team

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jan 2022 14:06:33 +0100

smart-open (5.2.1-3) unstable; urgency=medium

  * Team Upload.
  * d/rules: Remove extra files in
    execute_before_dh_auto_configure (Closes: #1001932)

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Dec 2021 15:40:31 +0530

smart-open (5.2.1-2) unstable; urgency=medium

  * Team Upload.
  * d/control: Remove B-D on python3-boto
  * d/rules: Remove extra LICENSE file

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Dec 2021 12:42:43 +0530

smart-open (5.2.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * debhelper-compat 13 (routine-update)
  * Build-Depends:
    + add python3-azure, python3-azure-storage
    + mark <!nocheck> packages

  [ Nilesh Patra ]
  * d/patches:
    + exclude-gcs.patch: Exclude gcs inclusion in register_transport
    + excluse-mote-s3-and-parameterizedtestcase.patch: exclude more
      moto tests and parameterizedtestcase tests since the latter
      has not been packages yet
    + remove-gs-tests.patch: Remove tests and code referencing gs URLs
  * Do not install PKG_INFO as doc
  * d/control:
    + Standards-Version: 4.6.0 (routine-update)
    + Update Depends to include python3-{boto3,azure,azure-storage,
      paramiko,requests}
  * d/rules:
    + Remove gcs.py and test_gcs.py in clean rule
    + Copy test dir in build dir before testing
  * d/tests:
    + Run tests with pytest instead of nose
    + Do not run tests in current source, rather run tests from the
      installed test files with the installed smart-open package

 -- Nilesh Patra <nilesh@debian.org>  Sat, 16 Oct 2021 15:05:17 +0530

=== debian/control ===
Source: smart-open
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sao I Kuan <saoikuan@gmail.com>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-azure <!nocheck>,
 python3-azure-storage <!nocheck>,
 python3-boto3,
 python3-mock <!nocheck>,
 python3-paramiko <!nocheck>,
 python3-pytest <!nocheck>,
 python3-requests,
 python3-responses <!nocheck>,
 python3-setuptools,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/python-team/packages/smart-open
Vcs-Git: https://salsa.debian.org/python-team/packages/smart-open.git
Homepage: https://github.com/piskvorky/smart_open
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-python

Package: python3-smart-open
Architecture: all
Depends:
 python3-azure,
 python3-azure-storage,
 python3-boto3,
 python3-paramiko,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 ${python3:Recommends},
Suggests:
 ${python3:Suggests},
Description: utils for streaming large files
 smart-open is a library for efficient streaming of very large files
 from/to storages such as HDFS, WebHDFS, HTTP, HTTPS, SFTP, or local
 filesystem. It supports transparent, on-the-fly (de-)compression for a
 variety of different formats (gzip, bz2, etc.).
 .
 This package excludes the support of S3 and GCS.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=smart-open
export PYBUILD_BEFORE_TEST := cp -a smart_open/tests {build_dir}/smart_open
export PYBUILD_TEST_ARGS=smart_open/tests

export http_proxy=127.0.0.1:9
export https_proxy=127.0.0.1:9
export HTTP_PROXY=127.0.0.1:9
export HTTPS_PROXY=127.0.0.1:9

%:
	dh $@ --with python3 --buildsystem=pybuild

# FIXME: Remove this once gcs is packaged
execute_before_dh_auto_configure:
	rm -f smart_open/gcs.py
	rm -f smart_open/tests/test_gcs.py

execute_after_dh_auto_install:
	find debian/ -name LICENSE -delete

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/RaRe-Technologies/smart_open/releases .*/v?@ANY_VERSION@\.tar\.gz

## smart-open 7.0.4

=== debian/changelog ===
smart-open (7.0.4-2) unstable; urgency=medium

  * Team upload.
  * d/test/run-unit-test: actually use the different versions of Python
    to run pytest
  * d/control: move optional dependencies to Recommends, and large
    optional dependencies to Suggests. Closes: #1072298
  * Cherry-pick patch from upstream to fix failures with urllib3 2.0.4+;
    renabled running those tests.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 15 Aug 2024 12:38:16 +0200

smart-open (7.0.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.0.4
  * Temp. disable the 4 tests that breaks with Urllib 2.x (Closes: #1073421)
    https://github.com/piskvorky/smart_open/issues/784 (LP: #2059351)
  * Add build dep on python3-wrapt

  [ Michael R. Crusoe ]
  * New upstream location, fixed watch file to find new release.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 07 Aug 2024 01:29:12 +0200

smart-open (5.2.1-6) unstable; urgency=medium

  * Team upload.
  * remove old extraneous build-dep on python3-mock
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Mar 2024 19:47:14 +0100

=== debian/control ===
--- 
+++ 
@@ -5,18 +5,19 @@
 Uploaders: Sao I Kuan <saoikuan@gmail.com>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-azure <!nocheck>,
  python3-azure-storage <!nocheck>,
  python3-boto3,
- python3-mock <!nocheck>,
  python3-paramiko <!nocheck>,
  python3-pytest <!nocheck>,
  python3-requests,
  python3-responses <!nocheck>,
  python3-setuptools,
-Standards-Version: 4.6.1
+ python3-wrapt,
+ python3-zstandard <!nocheck>,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/python-team/packages/smart-open
 Vcs-Git: https://salsa.debian.org/python-team/packages/smart-open.git
 Homepage: https://github.com/piskvorky/smart_open
@@ -26,16 +27,17 @@
 Package: python3-smart-open
 Architecture: all
 Depends:
- python3-azure,
- python3-azure-storage,
+ ${misc:Depends},
+ ${python3:Depends},
+Recommends:
  python3-boto3,
  python3-paramiko,
  python3-requests,
- ${misc:Depends},
- ${python3:Depends},
-Recommends:
+ python3-zstandard,
  ${python3:Recommends},
 Suggests:
+ python3-azure,
+ python3-azure-storage,
  ${python3:Suggests},
 Description: utils for streaming large files
  smart-open is a library for efficient streaming of very large files

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 export HTTP_PROXY=127.0.0.1:9
 export HTTPS_PROXY=127.0.0.1:9
 
+export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1
+
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 # FIXME: Remove this once gcs is packaged
 execute_before_dh_auto_configure:

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-responses, python3-zstandard, python3-boto3, python3-paramiko, python3-requests, python3-azure, python3-azure-storage
Restrictions: allow-stderr

## smart-open 7.0.5

=== debian/changelog ===
smart-open (7.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 7.0.5
  * python3-moto is avaible since today: add it to the build dependency
    and enable (most of) the tests requiring it.

 -- Alexandre Detiste <tchet@debian.org>  Sun, 13 Oct 2024 17:04:51 +0200

=== debian/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
  python3-azure <!nocheck>,
  python3-azure-storage <!nocheck>,
  python3-boto3,
+ python3-moto <!nocheck>,
  python3-paramiko <!nocheck>,
  python3-pytest <!nocheck>,
  python3-requests,

## smart-open 7.1.0

=== debian/changelog ===
smart-open (7.1.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Standards-Version: 4.7.0 (routine-update)

  [ Michael R. Crusoe ]
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 17 Dec 2024 17:29:30 +0100

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
  python3-setuptools,
  python3-wrapt,
  python3-zstandard <!nocheck>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/smart-open
 Vcs-Git: https://salsa.debian.org/python-team/packages/smart-open.git
 Homepage: https://github.com/piskvorky/smart_open

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 export PYBUILD_NAME=smart-open
 export PYBUILD_BEFORE_TEST := cp -a smart_open/tests {build_dir}/smart_open
-export PYBUILD_TEST_ARGS=smart_open/tests
+export PYBUILD_TEST_ARGS=smart_open/tests -k 'not test_gs_uri and not test_scheme'
 
 export http_proxy=127.0.0.1:9
 export https_proxy=127.0.0.1:9

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-responses, python3-zstandard, python3-boto3, python3-paramiko, python3-requests, python3-azure, python3-azure-storage, python3-moto
Restrictions: allow-stderr

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/piskvorky/smart_open/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## smart-open 7.5.0

=== debian/changelog ===
smart-open (7.5.0-2) unstable; urgency=medium

  * Team upload.
  * Use backports.zstd, now that it's in Debian.

 -- Colin Watson <cjwatson@debian.org>  Fri, 06 Feb 2026 00:35:54 +0000

smart-open (7.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fix S3 tests with Python 3.14 (closes: #1123344).
  * Revert "Use compression.zstd (PEP-784)" for now, until
    python-backports.zstd is in Debian (see #1123505).
  * Make the build reproducible (closes: #1120121).

 -- Colin Watson <cjwatson@debian.org>  Thu, 01 Jan 2026 17:44:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,18 +6,21 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-azure <!nocheck>,
  python3-azure-storage <!nocheck>,
+ python3-backports.zstd <!nocheck>,
  python3-boto3,
  python3-moto <!nocheck>,
  python3-paramiko <!nocheck>,
  python3-pytest <!nocheck>,
+ python3-pytest-timeout <!nocheck>,
+ python3-pytest-xdist <!nocheck>,
  python3-requests,
  python3-responses <!nocheck>,
  python3-setuptools,
  python3-wrapt,
- python3-zstandard <!nocheck>,
 Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/smart-open
 Vcs-Git: https://salsa.debian.org/python-team/packages/smart-open.git
@@ -31,10 +34,10 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends:
+ python3-backports.zstd | python3-supported-min (>= 3.14),
  python3-boto3,
  python3-paramiko,
  python3-requests,
- python3-zstandard,
  ${python3:Recommends},
 Suggests:
  python3-azure,

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,7 @@
 #! /usr/bin/make -f
 
 export PYBUILD_NAME=smart-open
-export PYBUILD_BEFORE_TEST := cp -a smart_open/tests {build_dir}/smart_open
-export PYBUILD_TEST_ARGS=smart_open/tests -k 'not test_gs_uri and not test_scheme'
+export PYBUILD_TEST_ARGS=--ignore tests/test_gcs.py -k 'not test_gs_uri and not test_scheme'
 
 export http_proxy=127.0.0.1:9
 export https_proxy=127.0.0.1:9

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, python3-all, python3-pytest, python3-pytest-timeout, python3-pytest-xdist, python3-responses, python3-backports.zstd | python3-supported-min (>= 3.14), python3-boto3, python3-paramiko, python3-requests, python3-azure, python3-azure-storage, python3-moto
Restrictions: allow-stderr
